<?php

declare(strict_types=1);

namespace Apexl\Io\User\Enums\Permissions;

use Apexl\Io\User\Interfaces\PermissionInterface;
use Apexl\Io\User\Traits\IsPermissionTrait;

enum Role implements PermissionInterface, \JsonSerializable
{
    use IsPermissionTrait;

    case SET;
    case VIEW;
    case CREATE;
    case UPDATE;
    case DELETE;
}
